ranges::views::delimit_base_fn Struct Reference
Inheritance diagram for ranges::views::delimit_base_fn:

## Public Member Functions

template<typename I_ , typename Val , typename I = detail::decay_t<I_>>
constexpr auto | operator() (I_ &&begin_, Val value) const -> delimit_view< subrange< I, unreachable_sentinel_t >, Val > requires(!range< I_ > &&convertible_to< I_, I > &&input_iterator< I > &&semiregular< Val > &&equality_comparable_with< Val, iter_reference_t< I >>)
template<typename Rng , typename Val >
constexpr auto | operator() (Rng &&rng, Val value) const -> delimit_view< all_t< Rng >, Val > requires viewable_range< Rng > &&input_range< Rng > &&semiregular< Val > &&equality_comparable_with< Val, range_reference_t< Rng >>